package eu.maiora.routes

import eu.maiora.model.ParametriRepositoryImpl
import eu.maiora.model.TessereRepositoryImpl
import io.jsonwebtoken.Jwts
import io.jsonwebtoken.SignatureAlgorithm
import io.jsonwebtoken.security.Keys
import io.ktor.client.statement.*
import io.ktor.http.*
import io.ktor.server.application.*
import io.ktor.server.request.*
import io.ktor.server.response.*
import io.ktor.server.routing.*
import kotlinx.serialization.Serializable
import kotlinx.serialization.json.Json
import org.slf4j.LoggerFactory
import java.util.*


fun Route.tessere(tessereRepository: TessereRepositoryImpl, parametriRepository: ParametriRepositoryImpl){
    route("/tessere"){
        get("{cf}"){
            //verifica JWT
            val parametro = parametriRepository.parametroByChiave("jwt_secret")
            if(parametro != null){

            }


            // Ottieni il codice fiscale dal percorso
            val cf = call.parameters["cf"]

            if (cf == null) {
                call.respondText("Codice fiscale non valido", status = HttpStatusCode.BadRequest)
                return@get
            }

            // Cerca la tessera per codice fiscale
            val tessera = tessereRepository.tesseraByCodiceFiscale(cf)

            if (tessera != null) {
                call.respond(tessera)
            } else {
                call.respondText("Tessera non trovata", status = HttpStatusCode.NotFound)
            }
        }
    }
}